# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

#### Public Classes

* [`systemd_journal_remote`](#systemd_journal_remote): This module manages and configures the systemd journal remote package
* [`systemd_journal_remote::gatewayd`](#systemd_journal_remotegatewayd): This class manages and configures the `systemd-journal-gatewayd` service
* [`systemd_journal_remote::remote`](#systemd_journal_remoteremote): This module manages and configures the systemd journal remote package
* [`systemd_journal_remote::upload`](#systemd_journal_remoteupload): This class manages and configures the systemd journal upload service

#### Private Classes

* `systemd_journal_remote::gatewayd::config`: This class configures the systemd-journal-gatewayd unit override
* `systemd_journal_remote::gatewayd::service`: This class manages the systemd-journal-gatewayd service
* `systemd_journal_remote::remote::config`: This class configures the [Remote] section of journal-remote.conf
* `systemd_journal_remote::remote::service`: This class manages the systemd-journal-remote service
* `systemd_journal_remote::upload::config`: This class configures the [Upload] section of journal-upload.conf
* `systemd_journal_remote::upload::service`: This class manages the systemd-journal-upload service

### Data types

* [`Systemd_Journal_Remote::Gatewayd_Flags`](#systemd_journal_remotegatewayd_flags): Matches systemd gatewayd options in `man systemd-journal-gatewayd`
* [`Systemd_Journal_Remote::Remote_Flags`](#systemd_journal_remoteremote_flags): Matches systemd remote options in `man systemd-journal-remote`
* [`Systemd_Journal_Remote::Remote_Options`](#systemd_journal_remoteremote_options): Matches systemd remote options in `man journal-remote.conf`
* [`Systemd_Journal_Remote::Upload_Flags`](#systemd_journal_remoteupload_flags): Matches systemd upload options in `man systemd-journal-upload`
* [`Systemd_Journal_Remote::Upload_Options`](#systemd_journal_remoteupload_options): Matches systemd upload options in `man journal-upload.conf`

## Classes

### <a name="systemd_journal_remote"></a>`systemd_journal_remote`

This module manages and configures the systemd journal remote package

#### Parameters

The following parameters are available in the `systemd_journal_remote` class:

* [`manage_package`](#manage_package)
* [`package_name`](#package_name)
* [`package_ensure`](#package_ensure)

##### <a name="manage_package"></a>`manage_package`

Data type: `Boolean`

Manage the `systemd-journal-remote` package installation

Default value: ``true``

##### <a name="package_name"></a>`package_name`

Data type: `String`

The `systemd-journal-remote` package name to use

Default value: `'systemd-journal-remote'`

##### <a name="package_ensure"></a>`package_ensure`

Data type: `Enum['latest', 'absent', 'present']`

The `systemd-journal-remote` package state

Default value: `present`

### <a name="systemd_journal_remotegatewayd"></a>`systemd_journal_remote::gatewayd`

This class manages and configures the `systemd-journal-gatewayd` service

#### Parameters

The following parameters are available in the `systemd_journal_remote::gatewayd` class:

* [`command_path`](#command_path)
* [`command_flags`](#command_flags)
* [`manage_service`](#manage_service)
* [`service_enable`](#service_enable)
* [`service_name`](#service_name)
* [`service_ensure`](#service_ensure)

##### <a name="command_path"></a>`command_path`

Data type: `Stdlib::Absolutepath`

The service ExecStart command path

Default value: `'/usr/lib/systemd/systemd-journal-gatewayd'`

##### <a name="command_flags"></a>`command_flags`

Data type: `Systemd_Journal_Remote::Gatewayd_Flags`

The service ExecStart command flags to use

Default value: `{}`

##### <a name="manage_service"></a>`manage_service`

Data type: `Boolean`

Manage the journal-gatewayd service

Default value: ``true``

##### <a name="service_enable"></a>`service_enable`

Data type: `Boolean`

Enable the journal-gatewayd service

Default value: ``true``

##### <a name="service_name"></a>`service_name`

Data type: `String`

The journal-gatewayd service name

Default value: `'systemd-journal-gatewayd'`

##### <a name="service_ensure"></a>`service_ensure`

Data type: `Stdlib::Ensure::Service`



Default value: `running`

### <a name="systemd_journal_remoteremote"></a>`systemd_journal_remote::remote`

This module manages and configures the systemd journal remote package

#### Parameters

The following parameters are available in the `systemd_journal_remote::remote` class:

* [`command_path`](#command_path)
* [`command_flags`](#command_flags)
* [`manage_output`](#manage_output)
* [`manage_service`](#manage_service)
* [`service_enable`](#service_enable)
* [`service_ensure`](#service_ensure)
* [`service_name`](#service_name)
* [`options`](#options)

##### <a name="command_path"></a>`command_path`

Data type: `Stdlib::Absolutepath`

The service ExecStart command path

Default value: `'/usr/lib/systemd/systemd-journal-remote'`

##### <a name="command_flags"></a>`command_flags`

Data type: `Systemd_Journal_Remote::Remote_Flags`

The service ExecStart command flags to use

Default value: `{}`

##### <a name="manage_output"></a>`manage_output`

Data type: `Boolean`

Manage the creation of the default output paths (/var/log/journal/remote/)

Default value: ``false``

##### <a name="manage_service"></a>`manage_service`

Data type: `Boolean`

Manage the `systemd-journal-remote` service

Default value: ``true``

##### <a name="service_enable"></a>`service_enable`

Data type: `Boolean`

Enable the journal-remote service

Default value: ``true``

##### <a name="service_ensure"></a>`service_ensure`

Data type: `Stdlib::Ensure::Service`

Ensure the journal-remote service state

Default value: `running`

##### <a name="service_name"></a>`service_name`

Data type: `String`

The journal-remote service name

Default value: `'systemd-journal-remote'`

##### <a name="options"></a>`options`

Data type: `Optional[Systemd_Journal_Remote::Remote_Options]`

Config hash to configure the [Remote] options in `journal-remote.conf`

Default value: `{}`

### <a name="systemd_journal_remoteupload"></a>`systemd_journal_remote::upload`

This class manages and configures the systemd journal upload service

#### Parameters

The following parameters are available in the `systemd_journal_remote::upload` class:

* [`command_path`](#command_path)
* [`command_flags`](#command_flags)
* [`manage_service`](#manage_service)
* [`service_enable`](#service_enable)
* [`service_ensure`](#service_ensure)
* [`service_name`](#service_name)
* [`options`](#options)
* [`manage_state`](#manage_state)

##### <a name="command_path"></a>`command_path`

Data type: `Stdlib::Absolutepath`

The service ExecStart command path

Default value: `'/usr/lib/systemd/systemd-journal-upload'`

##### <a name="command_flags"></a>`command_flags`

Data type: `Systemd_Journal_Remote::Upload_Flags`

The service ExecStart command flags to use

Default value: `{}`

##### <a name="manage_service"></a>`manage_service`

Data type: `Boolean`

Manage the journal-upload service

Default value: ``true``

##### <a name="service_enable"></a>`service_enable`

Data type: `Boolean`

Enable the journal-upload service

Default value: ``true``

##### <a name="service_ensure"></a>`service_ensure`

Data type: `Stdlib::Ensure::Service`

Ensure the journal-upload state

Default value: `running`

##### <a name="service_name"></a>`service_name`

Data type: `String`

The journal-upload service name

Default value: `'systemd-journal-upload'`

##### <a name="options"></a>`options`

Data type: `Optional[Systemd_Journal_Remote::Upload_Options]`

Config hash to configure the [Upload] options in journal-upload.conf

Default value: `{}`

##### <a name="manage_state"></a>`manage_state`

Data type: `Boolean`



Default value: ``false``

## Data types

### <a name="systemd_journal_remotegatewayd_flags"></a>`Systemd_Journal_Remote::Gatewayd_Flags`

Matches systemd gatewayd options in `man systemd-journal-gatewayd`

Alias of

```puppet
Struct[{
    Optional['cert']         => Stdlib::Unixpath,
    Optional['key']          => Stdlib::Unixpath,
    Optional['trust']        => Variant[Stdlib::Unixpath, Enum['all']],
    Optional['system']       => Variant[Boolean, Enum['true', 'false']],
    Optional['user']         => Variant[Boolean, Enum['true', 'false']],
    Optional['merge']        => Variant[Boolean, Enum['true', 'false']],
    Optional['D']            => Stdlib::Unixpath,
    Optional['directory']    => Stdlib::Unixpath,
    Optional['file']         => String,
  }]
```

### <a name="systemd_journal_remoteremote_flags"></a>`Systemd_Journal_Remote::Remote_Flags`

Matches systemd remote options in `man systemd-journal-remote`

Alias of

```puppet
Struct[{
    Optional['url']          => Variant[Stdlib::HTTPUrl, Stdlib::HTTPSUrl],
    Optional['getter']       => String,
    Optional['listen-raw']   => String,
    Optional['listen-http']  => Variant[String, Integer[-3, -1]],
    Optional['listen-https'] => Variant[String, Integer[-3, -1]],
    Optional['key']          => Stdlib::Unixpath,
    Optional['cert']         => Stdlib::Unixpath,
    Optional['trust']        => Variant[Stdlib::Unixpath, Enum['all']],
    Optional['gnutls-log']   => String,
    Optional['output']       => Stdlib::Unixpath,
    Optional['gnutls-log']   => String,
    Optional['split-mode']   => Enum['none','host'],
    Optional['compress']     => Enum['yes','no'],
    Optional['seal']         => Enum['yes','no'],
  }]
```

### <a name="systemd_journal_remoteremote_options"></a>`Systemd_Journal_Remote::Remote_Options`

Matches systemd remote options in `man journal-remote.conf`

Alias of

```puppet
Struct[{
    Optional['Seal']                   => Enum['yes','no'],
    Optional['SplitMode']              => Enum['host','none'],
    Optional['ServerKeyFile']          => Stdlib::Absolutepath,
    Optional['ServerCertificateFile']  => Stdlib::Absolutepath,
    Optional['TrustedCertificateFile'] => Variant[Stdlib::Absolutepath, Enum['all']],
  }]
```

### <a name="systemd_journal_remoteupload_flags"></a>`Systemd_Journal_Remote::Upload_Flags`

Matches systemd upload options in `man systemd-journal-upload`

Alias of

```puppet
Struct[{
    Optional['u']            => Variant[Stdlib::Host, Stdlib::HTTPUrl, Stdlib::HTTPSUrl],
    Optional['url']          => Variant[Stdlib::Host, Stdlib::HTTPUrl, Stdlib::HTTPSUrl],
    Optional['system']       => Variant[Boolean, Enum['true', 'false']],
    Optional['user']         => Variant[Boolean, Enum['true', 'false']],
    Optional['merge']        => Variant[Boolean, Enum['true', 'false']],
    Optional['D']            => Stdlib::Unixpath,
    Optional['directory']    => Stdlib::Unixpath,
    Optional['file']         => String,
    Optional['cursor']       => String,
    Optional['after-cursor'] => String,
    Optional['save-state']   => Stdlib::Unixpath,
    Optional['follow']       => Boolean,
    Optional['key']          => Variant[Enum['-'], Stdlib::Unixpath],
    Optional['cert']         => Variant[Enum['-'], Stdlib::Unixpath],
    Optional['trust']        => Variant[Enum['-', 'all'], Stdlib::Unixpath],
  }]
```

### <a name="systemd_journal_remoteupload_options"></a>`Systemd_Journal_Remote::Upload_Options`

Matches systemd upload options in `man journal-upload.conf`

Alias of

```puppet
Struct[{
    Optional['URL']                    => Variant[Stdlib::HTTPUrl, Stdlib::HTTPSUrl],
    Optional['ServerKeyFile']          => Stdlib::Absolutepath,
    Optional['ServerCertificateFile']  => Stdlib::Absolutepath,
    Optional['TrustedCertificateFile'] => Stdlib::Absolutepath,
    Optional['NetworkTimeoutSec']      => Variant[Integer, String],
  }]
```

